﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PeteBrown.SilverlightSoundTest.Synth
{
    public class BufferPlayedEventArgs : EventArgs
    {
        private StereoSample _peakValues = new StereoSample();

        public BufferPlayedEventArgs(StereoSample peakValues)
        {
            _peakValues.Left = peakValues.Left;
            _peakValues.Right = peakValues.Right;
        }

        public StereoSample PeakValues
        {
            get { return _peakValues; }
        }

    }
}
