﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;


namespace PeteBrown.SilverlightSoundTest.Synth.Wave
{
    public interface IWaveform
    {
        void Initialize(SampleRate rate);
        MonoSample GetSample(double frequency, WaveformState state);
        

        WaveformState GetNewState();

        int GetSampleCount(double freqency);




    }
}
