﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PeteBrown.SilverlightSoundTest.Synth.Wave
{
    public class WaveformState
    {
        public double[] Phase { get; set; }
        public Polarity Polarity { get; set; }
        public Amplitude MaxAmplitude { get; set; }
        public Percent PhaseOffset { get; set; }

        public WaveformState(int phaseCount)
        {
            MaxAmplitude = new Amplitude(int.MaxValue);
            Phase = new double[phaseCount];
            Polarity = Polarity.Positive;
            PhaseOffset = new Percent(0);
            
            //MaxAmplitude = new Amplitude();
        }

    }
}
